#LANGUAGE = "en"

LANGUAGEDEFINITION={
# General single words
'TITLE_WORD':           {'en':"Title", 'se':'Titel'},
'CURRENCY_WORD':        {'en':"Currency", 'se':"Vxelkurs"},
'SUNDAY_WORD':          {'en':"Sunday", 'se':"Sndag"},
'MONDAY_WORD':          {'en':"Monday", 'se':"Mndag"},
'ADD_WORD':             {'en':"Add", 'se':"Lgg till"},
'STATISTICS_WORD':      {'en':"Statistics", 'se':"Statestik"},
'SPENDCODE_WORD':       {'en':"Spendcode", 'se':"Utgiftskod"},
'EXPENDITURES_WORD':    {'en':"Expenditures", 'se':"Utgifter"},
'SPENDCODES_WORD':      {'en':"Spendcodes", 'se':"Utgiftskoder"},
'USERS_WORD':           {'en':"Users", 'se':"Anvndare"},
'TIMESKIPS_WORD':       {'en':"Timeskips", 'se':"Tidshopp"},
'BACKUP_OUTPUT_WORD':   {'en':"Backup/output", 'se':"Backup/output"},
'INPUT_WORD':           {'en':"Input", 'se':"Input"},
'MAX_WORD':             "max.",
'SUBMIT_WORD':          {'en':"Submit", 'se':"Lgg till"},
'PREVIOUS_WORD':        {'en':"Previous", 'se':"Frra"},
'NEXT_WORD':            {'en':"Next", 'se':"Nsta"},
'DESCRIPTION_WORD':     {'en':"Description", 'se':"Beskrivning"},
'ERROR_WORD':           {'en':"Error", 'se':"Fel"},
'PROCESSING_WORD':      {'en':"Processing", 'se':"Processerar"},
'MANAGEMENT_WORD':      {'en':"Management",   'se':"Administrering"},
'NEVER_WORD':           {'en':"Never", 'se':"Aldrig"},
'SUBTOTAL_WORD':        {'en':"Subtotal", 'se':"Delsumma"},
'DAYS_WORD':            {'en':"days", 'se':"dagar"},
'WEEKS_WORD':           {'en':"weeks", 'se':"veckor"},
'MONTHS_WORD':          {'en':"months", 'se':"mnader"},
'INVALID_WORD':         {'en':"Invalid", 'se':"Ogiltig"},

# General caption words
'USER_CAPTION':         {'en':"User", 'se':"Anvndare"},
'AMOUNT_CAPTION':       {'en':"Amount", 'se':"Summa"},
'DATE_CAPTION':         {'en':"Date", 'se':"Datum"},
'SPENDCODE_CAPTION':    {'en':"Spendcode", 'se':"Utgiftskod"},
'LAST_MERGE_CAPTION':   {'en':"Last merge", 'se':"Senaste sammanslagning"},
'START_DATE_CAPTION':   {'en':"Start date", 'se':"Start datum"},
'END_DATE_CAPTION':     {'en':"End date", 'se':"Slut datum"},
'FIRSTNAME_CAPTION':    {'en':"Firstname", 'se':"Frnamn"},
'LASTNAME_CAPTION':     {'en':"Lastname", 'se':"Efternamn"},
'EMAIL_CAPTION':        {'en':"Email", 'se':"Epost"},
'ACL_USERNAME_CAPTION': {'en':"ACL username", 'se':"ACL anvndarnamn"},
'TOTAL_CAPTION':        {'en':"Total", 'se':"Totalt"},


# Add instance form
'CREATE_ACCOUNT_TITLE':         {'en':"Create EconoAccount instance",
                                 'se':"Skapa EconoAccount instans"},
'SUGGESTED_INSTANCE_TITLE':     {'en':"Keeping track of my economy",
                                 'se':"Hlla reda p min ekonomi"},
'WEEK_STARTS_ON':               {'en':"Week starts on a...",
                                 'se':"Veckan brjar p en..."},
'CHOSE_LANGUAGE':               {'en':"Chose language",
                                 'se':"Vlj sprk"},

# manage_addEconoAccount()
'ECONO_ADDED_TITLE':    {'en':"EconoAccount object added",
                         'se':"EconoAccount objekt skapat"},
'ECONO_ADDED_TEXT':     {'en':"This folder now has an Econo Account object",
                         'se':"Denna mapp har nu ett EconoAccount objekt"},

# add_expense_form
'ONE_DAY_BACK':     {'en':"One day back", 'se':"En dag bakt"},
'ONE_DAY_FORWARD':  {'en':"One day forward", 'se':"En dag framt"},

# Basic statistics
'BASIC_STATISTICS_TITLE':       {'en':"Basic statistics",
                                 'se':"Enkel statestik"},
'BASIC_STATISTICS_DESCRIPTION': {'en':"Default statistics module",
                                 'se':"Standard statestik modul"},
'INCLUDES_TIMESKIPS_TEXT':      {'en':"includes %s days from timeskips",
                                 'se':"inkluderar %s dagar frn tidshopp"},


# DeployStandards()
'STANDARDS_DEPLOYED_TIME':  {'en':"Standards deployed at",
                             'se':"Standarder tillaggda",},
'STANDARDS_NONE_NEW':       {'en':"Nothing new added",
                             'se':"Inget nytt inlaggt"},
'STANDARDS_ADDED_TITLE':    {'en':"Standards deployed",
                             'se':"Standarder inlaggda"},
'STANDARDS_ADDED_TEXT':     {'en':"Standards'USING_SPENDCODE_TITLE' have now been deployed.",
                             'se':"Standarder har nu blivit inlaggda."},

# HeadingLinks()
'SORT_BY':      {'en':"Click to sort by",
                 'se':"Klicka fr att sortera efter"},
'SORT_REVERSE': {'en':"Click one more time and the sorting will be reversed",
                 'se':"Klicka en gng till fr att sorteringen ska vndas"},

# FixMissingProperties()
'FIXED_ALL_PROPERTIES': {'en':"Fixed all properties",
                         'se':"Fixade alla egenskaper"},

# MergeExpenditures()
'CANT_MERGE_EXPENDITURES_USERS':    {'en':"""Can't merge expenditures in
                                            advanced mode or with multiple
                                            users""",
                                     'se':"""Kan inte lgga samman utgifter
                                             i advancerat lge eller med flera
                                             anvndare"""},
'MERGED_INTO': {'en':"Merged %s into %s", 'se':"Lade samman %s till %s"},

# _safeTitle2Id()
'TITLE_NO_ALLOWED_CHARS': {'en':"The title did not contain any allowed characters",
                           'se':"Titeln innehll inte ngra tilltna tecken"},

# manage_addExpenditure()
'SUBMITERROR_NOINPUT':          {'en':"Missing input", 'se':"Saknar input"},
'SUBMITERROR_NO_SPENDCODE':     {'en':"Choosen spendcode does not exist",
                                 'se':"Vald utgiftskod finns inte"},
'SUBMITERROR_NO_USER':          {'en':"Choosen user does not exist",
                                 'se':"Vald anvndare finns inte"},
'DATE_ALREADY_SKIPPED':         {'en':"Timeskip already set on that date",
                                 'se':"Tidshopp redan satt p den datumen"},

# addExpenditure()
'SPENDCODE_NOT_EXIST':  {'en':"That spendcode (%s) does not exist",
                         'se':"Den utgiftskoden (%s) finns inte"},
'EXPENDITURE_ADDED':    {'en':"Expenditure added.",
                         'se':"Utgift tillaggd."},

# _tuneAmount()
'AMOUNT_NOT_FLOAT':     {'en':"Amount must be a number or decimal number",
                         'se':"Summa mste vara ett nummer eller decimal tal"},
'OPERATOR_NOT_INSIDE':  {'en':"Operator not inside amount expression",
                         'se':"Operator inte inne i summa uttryck"},

# addSpendcode()
'SPENDCODE_TAKEN':  {'en':"That spendcode appears to already exist",
                     'se':"Den utgiftskoden ser ut att redan vara tagen"},
'SPENDCODE_ADDED':  {'en':"Spendcode added.", 'se':"Utgiftskod skapad."},

# getSpendcode()
'SPENDCODE_BYID_NOT_EXIST': {'en':"Spendcode object with specified id does not exist",
                             'se':"Utgiftskod objekt med specifierat id finns inte"},

# manage_removeSpendcode()
'SPENDCODE_REMOVED':    {'en':"Spendcode deleted.", 'se':"Utgiftskod borttagen."},

# index_html
'SERVICES_TITLE':       {'en':"Services", 'se':"Servisar"},
# StrDateDifference()
'INVALID_DATES':    {'en':"Start date can not be after end date",
                     'se':"Start datum kan inte vara efter slut datum"},

# manage_addUser()
'SPECIFY_NAME_MORE':    {'en':"Please specify at least a firstname or lastname",
                         'se':"Specificera tminstone fr- eller efternamn"},
'USER_ADDED':           {'en':"User added", 'se':"Anvndare skapad"},

# removeUsers()
'NR_USERS_REMOVED':     {'en':"%s users removed", 'se':"%s anvndare borttagna"},

# manage_useusers()
'ACTION_USERS_OFF':     {'en':"Turned use of users off",
                         'se':"Stngde av anvndning av anvndare"},
'ACTION_USERS_ON':      {'en':"Turned use of users on",
                         'se':"Satte p anvndning av anvndare"},
'ACTION_TOO_FEW_USERS': {'en':"Could not turn users on because too few users",
                         'se':"Kunde inte stta p anvndning av anvndare fr fr f anvndare"},

# manage_editExpenditure()
'EXPENDITURE_CHANGED':  {'en':"Expenditure changed", 'se':"Utgift ndrad"},

# manage_editSpendcode()
'SPENDCODE_CHANGED':    {'en':"Spendcode edited.", 'se':"Utgiftskod ndrad."},

# getName()
'USER_INSUFFICIENT_INFORMATION':    {'en':"User object has too little information",
                                     'se':"Anvndarobjekt innehar fr lite information"},

# standard_html_header
'UNDO_LAST_EXPENDITURE':    {'en':"Undo last expenditure",
                             'se':"ngra senaste utgift"},
'UNDO_LAST_TIMESKIP':       {'en':"Undo last timeskip", 'se':"ngra senaste tidshopp"},

# manage_spendcode
'SPENDCODE_INFORMATION_TITLE':  {'en':"Information about this spendcode",
                                 'se':"Information om denna utgiftskod"},
'RETURN_TO_SPENDCODES':         {'en':"Return to all spendcodes",
                                 'se':"Tillbaka till alla utgiftskoder"},

# spendcode_information
'SAVE_CHANGES_BUTTON':          {'en':"Save changes", 'se':"Spara ndringarna"},
'USING_SPENDCODE_TITLE':        {'en':"Expenditures using this spendcode",
                                 'se':"Utgifter som anvnder denna utgiftskod"},

# index
'FULL_LISTING':         {'en':"Full listing", 'se':"Komplett lista"},

# expenditure_fulllist
'ALL_EXPENDITURES_TITLE':   {'en':"All expenditures", 'se':"Alla utgifter"},
'CHANGE_BATCH_SIZE':        {'en':"Change batch size",
                             'se':"ndra blddringsstorlek"},

# add_expense_form
'CHOOSE_USER':          {'en':"Choose user", 'se':"Vlj anvndare"},
'ADD_SOME_SPENDCODES':  {'en':"Add some spendcodes",
                         'se':"Lgg till ngra utgiftskoder"},

# expenditureListTable
'NO_USER':                  {'en':"No one", 'se':"Ingen"},
'TOTAL_NO_EXPENDITURES':    {'en':"Total number of expenditures",
                             'se':"Totalt antal utgifter"},
'NO_EXPENDITURES':          {'en':"No expenditures yet",
                             'se':"Inga utgifter nnu"},

# manage_spendcodes
'SPENDCODES_TITLE':         {'en':"Spendcodes", 'se':"Utgiftskoder"},
'ADD_SPENDCODE_TITLE':      {'en':"Add a new spendcode",
                             'se':"Lgg till ny utgiftskod"},
'BE_BROAD_SUGGESTION':      {'en':"be broad on naming", 'se':"var ganska omfattande"},
'SPENDCODE_DESCRIPTION_SUGGESTION': {'en':"Explain the spendcode title perhaps",
                                      'se':"Frklara utgiftskoden lite kanske"},
'ADD_SPENDCODE_BUTTON':     {'en':"Add spendcode now", 'se':"Lgg till utgiftskod nu"},
'EXISTING_SPENDCODES_TITLE':{'en':"Existing spendcodes", 'se':"Existerande utgiftskoder"},
'NO_SPENDCODES':            {'en':"No spendcodes yet", 'se':"Inga utgiftskoder nnu"},

# explain_error
'INPUT_ERROR_TITLE':        {'en':"Your input was incorrect", 'se':"Din in-data var inkorrekt"},

# management_form
'PRINCIPIA_VERSION':        "You are currently working in version",
'DEPLOY_STANDARDS_TITLE':       {'en':"Deploy standards", 'se':"Tillstt standarder"},
'DEPLOY_STANDARDS_HELP_TEXT':   {'en':"""Running this method recreates the standard objects that
were installed when this instance was first created but are now missing. <br>
If you say have made changes to <code>standar_html_footer</code> the changes
will be kept.""", 'se':"""Genom att kra denna metoden tersskapas de standard objekten som
installerades nr denna instans skapades men som nu saknas.<br>
Om du till exempel har gjort frndringar p <code>standar_html_footer</code> s sparas
de ndringarna."""},
'DEPLOY_STANDARDS_BUTTON':      {'en':"Deploy standards", 'se':"Tillstt standarder"},
'MERGE_EXPENDITURES_TITLE':     {'en':"Merge expenditures", 'se':"Sl samman utgifter"},
'MERGE_EXPENDITURES_HELP_TEXT': {'en':"""Run this method to merge all expenditure objects that
have the same date and same spendcode into one single object. This reduces the
amount of objects in total but running this method is <b>"expensive"</b>
because it requires a lot of processing time with many expenditure objects.<br>
Be sure not to run this method "too" often.""", 'se':"""Kr den hr metoden fr att sl
samman alla utgiftsobjekt som har samma datum och utgiftskod till ett enda objekt. Detta
reducerar det totala antalet objekt men denna metoden r <b>"dyr"</b> fr att det krver mycket
processtid med mnga utgiftsobjekt.<br>Kr inte denna metoden "fr" ofta."""},
'METHOD_NOTIN_ADVANCEDMODE':    {'en':"This method does not work if you are in advanced mode.",
                                 'se':"Denna metoden fungerar inte om du r i avancerat lge."},
'METHOD_NOTIN_MULTIPLEUSERS':   {'en':"This method does not work if you use multiple users.",
                                 'se':"Denna metoden fungerar inte om du anvnder flera anvndare"},
'MERGING_EXPENDITURES_TITLE':   {'en':"Merging expenditure objects",
                                 'se':"Slr samman utgifts objekt"},
'MERGE_EXPENDITURES_BUTTON':    {'en':"Merge expenditures", 'se':"Sl samman utgifter"},
'FIX_MISSING_PROPERTIES_TITLE': {'en':"Fix missing properties", 'se':"Fixa saknade egenskaper"},
'FIX_MISSING_PROPERTIES_HELP_TEXT': {'en':"""If you have upgraded your version of the EconoAccount
product but kept some old objects, this method makes sure your objects have
all the properties the product needs.""", 'se':"""Om du har uppgraderat din version of EconoAccount
produkten men behllt gamla objekt, denna metoden ser till att dina objekt har alla egenskaper
produkten behver"""},
'FIX_MISSING_PROPERTIES_BUTTON': {'en':"Fix missing properties", 'se':"Fixa saknade egenskaper"},

# basic_statistics
'STATISTICS_TITLE':             {'en':"Statistics", 'se':"Statestik"},
'CHANGE_TIMESPAN_TITLE':        {'en':"Change statistics timespan",
                                 'se':"ndra statestikens tidsbredd"},
'CHANGE_TIMESPAN_RESET_BUTTON': {'en':"Reset", 'se':"terstll"},
'CHANGE_TIMESPAN_APPLY_BUTTON': {'en':"Apply", 'se':"ndra"},
'CURRENT_DIFFERENCE_CAPTION':   {'en':"Current difference", 'se':"Skillnad nu"},
'TOTAL_SPENT_CAPTION':          {'en':"Total spent", 'se':"Totalt spenderat"},
'TOTAL_PER_SPENDCODE_CAPTION':  {'en':"Total spent per spendcode",
                                 'se':"Totalt spenderat per utgiftskod"},
'FILTER_FOR_ONLY':              {'en':"Filter for only...", 'se':"Filtrera enbart fr..."},
'ALL_SPENDCODES_OPTION':        {'en':"All spendcodes", 'se':"Alla utgiftskoder"},
'ALL_USERS_OPTION':             {'en':"All users", 'se':"Alla anvndare"},
'TOTAL_PER_DAY':                {'en':"Total spent per day", 'se':"Totalt per dag"},
'TOTAL_PER_WEEK':               {'en':"Total spent per week", 'se':"Totalt per vecka"},
'TOTAL_PER_MONTH':              {'en':"Total spent per month", 'se':"Totalt per mnad"},
'TOTAL_TIME_SERVICE_USED':      {'en':"Total time service used", 'se':"Total tid detta anvnds"},

# manage_users
'MANAGE_USERS_TITLE':       {'en':"Manage users", 'se':"Administrera anvndare"},
'MANAGE_USERS_HELP_TEXT':   {'en':"""Users are people who are using the account.<br>
It does not make sense to have only one user.<br>
The point with it is to track who enters what expenditures.""",
                             'se':"""Anvndare r de som anvnder kontot.
                             Det fungerar inte att bara ha en anvndare.<br>Syftet
                             r att se vem som spenderar vad."""},
'USE_OF_USERS_CAPTION':     {'en':"Use of users is",
                             'se':"Anvndandet av anvndare r"},
'USE_ON_WORD':              {'en':"ON", 'se':"P"},
'USE_OFF_WORD':             {'en':"OFF", 'se':"AV"},
'TURN_OFF':                 {'en':"Turn off", 'se':"Stng av"},
'TURN_ON':                  {'en':"Turn on", 'se':"Stt p"},
'CREATE_USER_TITLE':        {'en':"Create user", 'se':"Skapa anvndare"},
'EMAIL_HELP_TEXT':          {'en':"Useful for possible notification procedures",
                             'se':"Anvndbart fr mjliga notifierings procedurer"},
'ACL_USERNAME_HELP_TEXT':   {'en':"Let your Zope authentication name extract your EconoAccount name",
                             'se':"Lt din Zope anvndarnamn ta fram ditt EconoAccount anvndarnamn"}, 
'CREATE_USER_BUTTON':       {'en':"Create user", 'se':"Skapa anvndare"},
'EXISTING_USERS_TITLE':     {'en':"Existing users", 'se':"Existerande anvndare"},
'NO_USERS_AVAILABLE':       {'en':"No users available",
                             'se':"Inga anvndare tillgngliga"},
'REMOVE_USERS_BUTTON':      {'en':"Remove selected users",
                             'se':"Ta bort valda anvndare"},

# getDuration()
'UNKNOWN_RETURNTYPE': 'Returntype not "float", "int" or "string"',

# manage_timeskips
'MANAGE_TIMESKIPS_TITLE':   {'en':"Timskips", 'se':"Tidshopp"},
'MANAGE_TIMESKIPS_HELP_TEXT':   """Timeskips are useful when you for example
have a stop in your use of the account like a vacation and want to keep statistics
correct. It effects the spenditure per time.""",
'CREATE_TIMESKIP_TITLE':    {'en':"Create a timeskip", 'se':"Skapa ett tidshopp"},
'FROM_CAPTION':             {'en':"From", 'se':"Frn"},
'TO_CAPTION':               {'en':"To", 'se':"Till"},
'CREATE_TIMESKIP_BUTTON':   {'en':"Add timeskip", 'se':"Lgg till tidshopp"},
'PICK_CALENDAR_ALT':        {'en':"Pick a date", 'se':"Vlj en datum"},
'CALENDAR_WINDOW_TITLE':    {'en':"Calendar window", 'se':"Kalender fnster"},
'CLOSE_BUTTON':             {'en':"Close window", 'se':"Stng fnster"},
'NO_FORM_INPUT':            {'en':"Nowhere to place date",
                             'se':"Ingenstans att placera datum"},
'EXISTING_TIMESKIP_TITLE':  {'en':"Existing timeskips", 'se':"Existerande tidshopp"},
'DURATION_CAPTION':         {'en':"Duration", 'se':"Lngd"},
'NO_TIMESKIPS':             {'en':"No timeskips",
                             'se':"Inga tidshopp"},
'TIMESKIPS_DELETED':        {'en':"Timeskips deleted",
                             'se':"Tidshopp borttagna"},
'DELETE_SELECTED_BUTTON':   {'en':"Delete selected", 'se':"Ta bort valda"},



# manage_addTimeskip
'TIMESKIP_ADDED':           {'en':"Timeskip added", 'se':"Tidshopp skapat"},
'ENDDATE_BEFORE_STARTDATE_ERROR': {'en':"To date before from date or the same",
                                   'se':"Till datum fre frn datum eller samma"},
'FROMDATE_CAPTION':         {'en':"From date", 'se':"Frn datum"},
'TODATE_CAPTION':           {'en':"To date", 'se':"Till datum"},
'FROMDATE_INVALID':         {'en':"From date invalid",
                             'se':"Frn datum ogiltig"},
'TODATE_INVALID':           {'en':"To date invalid",
                             'se':"Till datum ogiltig"},
'EXPENDITURE_DURING_TIMESKIP': {'en':"There are already (%s) expenditures during this timeskip",
                                'se':"Det finns redan (%s) utgifter under detta tidshoppet"},

# manage_removeTimeskips
'TIMESKIPS_REMOVED':         {'en':"Timeskips removed",
                             'se':"Tidshopp borttagna"},

# _translateMonth()
'JANUARY':	{'en':"January", 'se':"Januari"},
'FEBRUARY':	{'en':"February", 'se':"Februari"},
'MARCH':	{'en':"March", 'se':"Mars"},
'APRIL':	{'en':"April", 'se':"April"},
'MAY':	        {'en':"May", 'se':"Maj"},
'JUNE':	        {'en':"June", 'se':"Juni"},
'JULY':	        {'en':"July", 'se':"Juli"},
'AUGUST':	{'en':"August", 'se':"Augusti"},
'SEPTEMBER':	{'en':"September", 'se':"September"},
'OCTOBER':	{'en':"October", 'se':"Oktober"},
'NOVEMBER':	{'en':"November", 'se':"November"},
'DECEMBER':	{'en':"December", 'se':"December"},

# _translateDay()
'MONDAY':	{'en':"Mo", 'se':"M"},
'TUESDAY':	{'en':"Tu", 'se':"Ti"},
'WEDNESDAY':	{'en':"We", 'se':"On"},
'THURSDAY':	{'en':"Th", 'se':"To"},
'FRIDAY':	{'en':"Fr", 'se':"Fr"},
'SATURDAY':	{'en':"Sa", 'se':"L"},
'SUNDAY':	{'en':"Su", 'se':"S"},

# timeSince()
'HOUR':         {'en':"hour", 'se':"timma"},
'HOURS':        {'en':"hours", 'se':"timmar"},
'YEAR':         {'en':"year", 'se':"r"},
'YEARS':        {'en':"years", 'se':"r"},
'MONTH':        {'en':"month", 'se':"mnad"},
'MONTHS':       {'en':"months", 'se':"mnader"},
'DAY':          {'en':"day", 'se':"dag"},
'DAYS':         {'en':"days", 'se':"dagar"},
'AND':          {'en':"and", 'se':"och"},
'FINISH':       {'en':"old", 'se':"gammal"},
}



RECOGNIZERS = {'english':'en', 'swedish':'se'}

from Products.PythonScripts.standard import html_quote, structured_text

class EconoI18N:
    """ Class for all language strings """
    def __init__(self, language="en", default_language="en",
                 htmlquote=0, structuredtext=0, htmlencode=1):
        self.language = language
        self.default_language = default_language
        self.text = LANGUAGEDEFINITION
        self.htmlquote = htmlquote
        self.structuredtext = structuredtext
        self.htmlencode = htmlencode

    def __getitem__(self, key):
        """ Return text string """
        rs = self._returnString
        if type(self.text[key])==type({}):
            if self.text[key].has_key(self.language):
                return rs(self.text[key][self.language])
            else:
                return rs(self.text[key][self.default_language])
        else:
            return rs(self.text[key])

    def _returnString(self, s):
        """ return with formatting if applicable """
        if self.htmlquote:
            return html_quote(s)
        elif self.structuredtext:
            return structured_text(s)
        elif self.htmlencode:
            return self._encodeChars(s)
        else:
            return s

    def _encodeChars(self, s):
        """ Convert  to &Auml; for example """
        return s
        #replacers = {'
                     
    def __str__(self):
        return """Language: %s
                  Default language: %s
               """%(self.language, self.default_language)

    def getAvailableLanguages(self):
        return RECOGNIZERS
    
    def recognizeLanguage(self, lang):
        """ Recognize 'English' or 'english' to 'en' """
        lang = lang.lower().strip()
        if lang == "english" or lang=="en":
            return "en"
        elif lang == "swedish" or lang=="svenska" or lang=="se":
            return "se"
        else:
            raise "UnrecognizedLanguage", "Language not recognized"

    def changeLanguage(self, language):
        self.language = language

    def whatLanguage(self):
        return self.language
        
    
        
        

"""
i = 0
STANDARDS_DEPLOYED_TIME = i ; i+=1
STANDARDS_NONE_NEW = i ; i+=1
FOO_BAR  = i ; i+=1
#eng

lang = ('en',{
      # 1.0
      STANDARDS_DEPLOYED_TIME:"Standards deployed at",
      STANDARDS_NONE_NEW:"Nothing new added",
      # 1.1
      FOO_BAR: "new fancy text",
      }

lang = ('fr',{
      # 1.0
      STANDARDS_DEPLOYED_TIME:"Stanrdice deploye oui",
      STANDARDS_NONE_NEW:"nere ade",
      # 1.1
      FOO_BAR: "new fancy text",
      }


lang_se = {
      # 1.0
      STANDARDS_DEPLOYED_TIME:"Standarder inlaggda",
      STANDARDS_NONE_NEW:"Inget nytt inlaggt",
      # 1.1
      FOO_BAR: "ny kck text",
      }

lang_de = ('de,{
      # 1.0
      STANDARDS_DEPLOYED_TIME:"Standard is eingelegt",
      STANDARDS_NONE_NEW:"Nichts neues eingelegt",
      # 1.1
      FOO_BAR: "new fancy text",
      })
"""
